package com.mortals.xhx.common.utils;

import com.mortals.framework.service.IUser;
import com.mortals.xhx.module.dimension.model.DimensionResourceRuleEntity;
import org.apache.commons.compress.utils.Lists;

import javax.servlet.http.HttpServletRequest;
import java.util.List;

public class DataPermissionUtils {

    public static final String COMPONENT_DATA_RULES = "COMPONENT_DATA_RULES";

    public static final String SYS_USER_INFO = "SYS_USER_INFO";



    /**
     * 往链接请求里面，传入数据查询条件
     *
     * @param request
     * @param componentRules
     */
    public static void installDataSearchConditon(HttpServletRequest request, List<DimensionResourceRuleEntity> componentRules) {
        // 1.先从request获取MENU_DATA_AUTHOR_RULES，如果存则获取到LIST
        List<DimensionResourceRuleEntity> list = loadDataSearchCondition(request);
        if (list == null) {
            // 2.如果不存在，则new一个list
            list = Lists.newArrayList();
        }
        list.addAll(componentRules);
        // 3.往list里面增量存指
        request.setAttribute(COMPONENT_DATA_RULES, list);
    }


    /**
     * 往链接请求里面，传入数据查询条件
     *
     * @param request
     * @param searchSql
     */
    public static void installSearchSql(HttpServletRequest request,String searchSql) {
        // 1.先从request获取MENU_DATA_AUTHOR_RULES，如果存则获取到LIST

        // 3.往list里面增量存指
     //   request.setAttribute(DATA_PERMISSION_SEARCH_SQL, searchSql);
    }


    /**
     * 获取请求对应的数据权限规则
     */
    @SuppressWarnings("unchecked")
    public static synchronized List<DimensionResourceRuleEntity> loadDataSearchCondition(HttpServletRequest request) {
        return (List<DimensionResourceRuleEntity>) request.getAttribute(COMPONENT_DATA_RULES);
    }

    public static synchronized void installUserInfo(HttpServletRequest request, IUser userinfo) {
        request.setAttribute(SYS_USER_INFO, userinfo);
    }
}
